<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: System.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">System.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * System.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Created on: May 27, 2017</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *      Author: kolban</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef COMPONENTS_CPP_UTILS_SYSTEM_H_</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define COMPONENTS_CPP_UTILS_SYSTEM_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;esp_system.h&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classSystem.html">   17</a></span>&#160;<span class="keyword">class </span><a class="code" href="classSystem.html">System</a> {</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <a class="code" href="classSystem.html">System</a>();</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    <span class="keyword">virtual</span> ~<a class="code" href="classSystem.html">System</a>();</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classSystem.html#a65fb56e6d13f80b3323fef4f087758f4">dumpPinMapping</a>();                       <span class="comment">// Dump the mappings of pins to functions.</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classSystem.html#acc388ae024ad31664fbf5ce8287dc7c6">dumpHeapInfo</a>();</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classSystem.html#a46ab3e4bac810433df782ecd33677223">getChipInfo</a>(esp_chip_info_t* info);</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">size_t</span> <a class="code" href="classSystem.html#a52c0dd40c777aca8c876d59501572300">getFreeHeapSize</a>();</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keyword">static</span> std::string <a class="code" href="classSystem.html#a6c15815ebd772e8870331bbe281f940e">getIDFVersion</a>();</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">size_t</span> <a class="code" href="classSystem.html#a79e98f3c31457dfc4b27176b997cda27">getMinimumFreeHeapSize</a>();</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="classSystem.html#a41237d182fff760ea31f960b8d3bf343">restart</a>();</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;};</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* COMPONENTS_CPP_UTILS_SYSTEM_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classSystem_html_a79e98f3c31457dfc4b27176b997cda27"><div class="ttname"><a href="classSystem.html#a79e98f3c31457dfc4b27176b997cda27">System::getMinimumFreeHeapSize</a></div><div class="ttdeci">static size_t getMinimumFreeHeapSize()</div><div class="ttdoc">Get the smallest heap size seen.</div><div class="ttdef"><b>Definition:</b> System.cpp:484</div></div>
<div class="ttc" id="classSystem_html"><div class="ttname"><a href="classSystem.html">System</a></div><div class="ttdoc">System wide functions.</div><div class="ttdef"><b>Definition:</b> System.h:17</div></div>
<div class="ttc" id="classSystem_html_a6c15815ebd772e8870331bbe281f940e"><div class="ttname"><a href="classSystem.html#a6c15815ebd772e8870331bbe281f940e">System::getIDFVersion</a></div><div class="ttdeci">static std::string getIDFVersion()</div><div class="ttdoc">Retrieve the version of the ESP-IDF. When an application is compiled, it is compiled against a versio...</div><div class="ttdef"><b>Definition:</b> System.cpp:475</div></div>
<div class="ttc" id="classSystem_html_a52c0dd40c777aca8c876d59501572300"><div class="ttname"><a href="classSystem.html#a52c0dd40c777aca8c876d59501572300">System::getFreeHeapSize</a></div><div class="ttdeci">static size_t getFreeHeapSize()</div><div class="ttdoc">Retrieve the system wide free heap size.</div><div class="ttdef"><b>Definition:</b> System.cpp:465</div></div>
<div class="ttc" id="classSystem_html_a41237d182fff760ea31f960b8d3bf343"><div class="ttname"><a href="classSystem.html#a41237d182fff760ea31f960b8d3bf343">System::restart</a></div><div class="ttdeci">static void restart()</div><div class="ttdoc">Restart the ESP32.</div><div class="ttdef"><b>Definition:</b> System.cpp:492</div></div>
<div class="ttc" id="classSystem_html_acc388ae024ad31664fbf5ce8287dc7c6"><div class="ttname"><a href="classSystem.html#acc388ae024ad31664fbf5ce8287dc7c6">System::dumpHeapInfo</a></div><div class="ttdeci">static void dumpHeapInfo()</div><div class="ttdef"><b>Definition:</b> System.cpp:430</div></div>
<div class="ttc" id="classSystem_html_a46ab3e4bac810433df782ecd33677223"><div class="ttname"><a href="classSystem.html#a46ab3e4bac810433df782ecd33677223">System::getChipInfo</a></div><div class="ttdeci">static void getChipInfo(esp_chip_info_t *info)</div><div class="ttdoc">Get the information about the device.</div><div class="ttdef"><b>Definition:</b> System.cpp:456</div></div>
<div class="ttc" id="classSystem_html_a65fb56e6d13f80b3323fef4f087758f4"><div class="ttname"><a href="classSystem.html#a65fb56e6d13f80b3323fef4f087758f4">System::dumpPinMapping</a></div><div class="ttdeci">static void dumpPinMapping()</div><div class="ttdef"><b>Definition:</b> System.cpp:403</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
